Subject: [PATCH] MAINTAINERS: Start using the 'reviewer' (R) tag

From: [email-masked] (Krzysztof Kozlowski)
Date: Wed, 28 Oct 2015 18:31:13 +0900

On 28.10.2015 18:21, Javier Martinez Canillas wrote:
> Hello Lee,

(...)
Let me only add something to certain part of your email...

>> But you aren't maintaining the driver i.e. you don't collect patches
>> and *maintain* them on an upstream branch.  Granted some of you guys
>> are doing a great job of maintaining branches on your downstream or
>> BSP kernels, but conduct a Reviewer type role for upstream.
>>
>> You guys are pushing back like this is some kind of demotion.  That's
>> not the case at all.  All it does is better describe the (very worthy)
>> function you *actually* provide.
>>
> 
> But I think it makes description less accurate in fact, since without
> $SUBJECT get_maintainers.pl reports for example:
> 
> Krzysztof Kozlowski <[email-masked]> (supporter:MAXIM PMIC
> AND MUIC DRIVERS FOR EXYNOS BASED BO...)
> Lee Jones <[email-masked]> (supporter:MULTIFUNCTION DEVICES (MFD))
> 
> and after the change:
> 
> Krzysztof Kozlowski <[email-masked]> (reviewer)
> Lee Jones <[email-masked]> (supporter:MULTIFUNCTION DEVICES (MFD))
> 
> He also works for Samsung so the driver is not only maintained but
> supported since he can actually take care of it as a part of his day
> job (if I understood correctly).

Oh, that's interesting semantic change. Yes, in that particular case, I
added the "supported" tag on purpose - it's part of my job. It is
connected with what I said in other reply - we have deep interest in
these drivers. Not only "I will review the code if I have the time". No.
I will devote my time to ensure that the code is working on our products.

Best regards,
Krzysztof